:root {
  --theme-red: #104CB5;        /* culoare principală */
  --theme-red-dark: #bf3f2f;  /* hover */
  --theme-gray: #F5F5F5;    /* #f8f9fa;   */
}
/*--------------------------------------------------------------
# Navigation Menu
--------------------------------------------------------------*/
@media (min-width: 992px){

.navbar-toggler:hover {
  background: #e34f00;
  border-color: #e34f00;
  color: #fff;
}

/* sub-submeniu */
.dropdown-submenu {
  position: relative;
}

.dropdown-submenu > .dropdown-menu {
  top: 0;
  left: 100%;
  margin-left: .1rem;   /*  apropierea submeniului de meniu */
}



	
	 .navbar-nav .nav-item {
    margin-right: 1rem;  /* distanța între itemi */
  }

  /* Ultimul element să nu aibă margin-right */
  .navbar-nav .nav-item:last-child {
    margin-right: 0;
  }
  
  
 /* hover DOAR pe desktop */ 
  .dropdown:hover > .dropdown-menu {
    display: block;
	
  }

  .dropdown-submenu:hover > .dropdown-menu {
    display: block;
  }


/* navbar */
.navbar {
  background-color: #fff;
  padding: 0 0;      /* implicit navbar are padding: 0.5rem 1rem; /* <--- padding vertical și orizontal implicit si ramane spatiu intre meniu si dunga de sub el */
}

.navbar .nav-link {
  color: #333;
  font-weight: 600;   /*grosimea fontului*/
   padding: 1.5rem 1.5rem; /* inaltimea pe verticala a meniului orizontal */
  line-height: 1.5;
}

.navbar .nav-link:hover,
.navbar .nav-link:focus,
.navbar .nav-link.active {
  color: var(--theme-red);
  background-color: var(--theme-gray);    
   
    
}

/* dropdown */
.dropdown-menu {
  border:0;
  border-top: 2px solid var(--theme-red);
  border-radius: 0;
  box-shadow: 0.3rem 0.3rem rgba(0,0,0,.15);
  padding: 0;
}

.dropdown-item {
  color: #333;
 font-size: 14px;   /* fontul submeniului   */
  border-bottom: 1px solid var(--theme-gray);
   padding: 8px;   /*inaltimea unui item al submeniului  */
}

.dropdown-item:hover,
.dropdown-item:focus {
  background-color: var(--theme-red);
  color: #fff;
}

/* sub-submeniu */
.dropdown-submenu > .dropdown-menu {
  border-top: 2px solid var(--theme-red);
}

/* focus vizibil (accesibilitate) */
.nav-link:focus-visible,
.dropdown-item:focus-visible {
  outline: 3px solid var(--theme-red);
  outline-offset: 2px;  
}

/* DESKTOP */

  .navbar-nav {
    position: static;
    transform: none;
    background: transparent;
    padding: 0;
    box-shadow: none;
    border-radius: 0;
  }
}


@media (max-width: 991.98px) {


  .navbar-nav .nav-link,
  .navbar-nav .dropdown-item {
    white-space: normal;
    word-break: break-word;  
	  font-weight: 400;  /* era 600 grosimea fontului pe mobil   */
  }
}





/* MOBIL & TABLET */
@media (max-width: 991.98px) {
		
  .navbar-nav {
	width: 100%;
    background: #eee;
    padding: 0;
    z-index: 1050;
  }


  /* fiecare item să aibă linie jos */
  .navbar-nav .nav-item {
    border-bottom: 1px solid var(--theme-red); /* linie roșie */
  }

  /* ultimul item să nu aibă linie */
  .navbar-nav .nav-item:last-child {
    border-bottom: 0;
  }

  /* linkurile să fie pline pentru hover */
  .navbar-nav .nav-link {
    display: block;
    padding: .5rem 1rem;
  }

  /* hover pe mobil */
  .navbar-nav .nav-link:hover {
    background-color: var(--theme-red);
    color: #fff;
  }
  
   /* submeniuri (nivel 2 și mai jos) */
.dropdown-menu {
	padding-left: 10px;
	  background: #eee;
	
}
  /* submeniuri (nivel 2 și mai jos) */
.dropdown-menu .dropdown-menu {
  margin-left: 10px;
    background: #eee;
	 border-bottom: 0;
}

 .dropdown-menu .dropdown-item {
    font-size: 0.875rem; /* ~14px */
	
  }
 .dropdown-menu .dropdown-item:first-child { {
   
	 border-top: 0;
  }
   .dropdown-menu .dropdown-item:last-child { {
   
	 border-bottom: 0;
  }
}


/* PE MOBIL */
@media (max-width: 991.98px) {
  .dropdown-submenu > .dropdown-menu {
    position: static; 
	padding-left: 1rem;
    margin-left: 0;
	
  }
}

